/* Disallow errors */
void suppress_errors(); 

/* Allow errors */
void allow_errors(); 

/* Show whether or not errors are allowed */
int errors_allowed(); 

/* Safe version of malloc(), errors out on failed allocation */
void *safe_malloc(int size);

/* Version of free() that also sets ptr to null */
void safe_free(void *ptr); 

/* Count the number of slashes in a string */
int countslashes(char *input);
